JSAMP(1)

NAME
jsamp - Java Simple Application Messaging Protocol command-line tool for the Virtual Observatory

SYNOPSIS
jsamp [-help] [-version] <command> [-help] <cmd-args> <command-class> [-help] <cmd-args>

DESCRIPTION
jsamp provides a low-level command-line interface to the JSAMP Simple Application Messaging Protocol Java library funcationality which Virtual Observatory (VO) applications for exchanging data with each other on the users machine.

OPTIONS

-help
    display contextual usage information for commands and sub-commands

-version
    display the matching SAMP protocol revision and jsamp build version (if available)

-verbose
    output additional information on stdout while executing

+verbose
    do not output any information on stdout while executing

COMMANDS
All commands can be followed by the argument -help to display details of their arguments and sub-commands

  Main Commands
Main commands related to starting or setting up SAMP hub instances.

hub [-mode no-gui|client-gui|msg-gui|facade] [-profiles std|web|<hubprofile-class>[,...]] [-extraprofiles std|web|<hubprofile-class>[,...]] [-std:secret <secret>] [-std:httplock] [-web:log none|http|xml|rpc] [-web:auth swing|true|false|extreme] [-web:[no]cors] [-web:[no]flash] [-web:[no]silverlight] [-web:[no]urlcontrol] [-web:[no]restrictmtypes]
    start a SAMP Hub so that VO applications can share and exchange data via the Hub

bridge [-[no]exporturls] [-nostandard] [-sampdir <lockfile-dir>] [-sampfile <lockfile>] [-sampurl <lockurl>] [-keys <xmlrpc-url> <secret>] [-profile <clientprofile-class>]
    sent up a proxy bridge between two or more SAMP hub instances

help
    display the list of top-level jsamp commands

  Debugging Commands

hubmonitor [-auto <secs>] [-nomsg] [-nogui] [-mtype <pattern>]
    monitor an existing SAMP hub and show connected clients

snooper [-clientname <appname>] [-clientmeta <metaname> <metavalue>] [-mtype <pattern>] [-subs <pattern> <subsinfo>]
    monitor an existing SAMP hub and dump the flow of messages to stdout

  Testing Commands

calcstorm [-gui] [-nclient <n>] [-nquery <n>] [-mode sync|async|notify|random]
    stress-test a SAMP hub using multiple connections and exchanging lots of messages

hubtester [-gui]
    run a series of tests against a running SAMP hub

HOMEPAGE

http://www.star.bristol.ac.uk/~mbt/jsamp/commands.html

AUTHORS

  Software author

Mark Taylor <M.B.Taylor@bristol.ac.uk>

  Manpage author

Paul Sladen <debian@paul.sladen.org> as part of the Debian GNU/Linux packaging.

COPYRIGHT
jsamp tool and manpage licence.

License: BSD-2-clause Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1.  Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

2.  Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.